Bug 239371 - xdvi doesn't display images
xdvi doesn't display images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 18:11 EDT by Philip Goisman
Modified: 2013-07-02 19:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Goisman 2007-05-07 18:11:29 EDT
Description of problem:
Images of extension eps won't display via xdvi in fc6

Version-Release number of selected component (if applicable):
tetex-xdvi-3.0-34.fc6, xdvik version 22.84.9 (Xaw toolkit), Libraries:
kpathsea version 3.5.4, T1lib version 5.0.1, doesn't display eps images. 

tetex-xdvi-3.0-10.FC4, xdvik version 22.84.9 (@(#)Motif Version 2.2.3,
runtime version 2.2), Libraries: kpathsea version 3.5.4, T1lib version
5.0.1, does display the images.

How reproducible:

Executing a dvi file with the images.
Steps to Reproduce:
1.
2.
3.
  
Actual results:
No image in the output of xdvi

Expected results:

An image in the output from xdvi
Additional info:
Comment 1 Philip Goisman 2007-05-09 10:41:29 EDT
Further analysis with xdvi folks indicates that the problem is
with Ghostscript 8.15.4 rather than xdvi.  

I have an eps file that won't open a display unless the option 
-sDEVICE=x11alpha is used with gs.

This eps file opens as expected without any options
in older gs versions.

This version is as follows:

> gs -version
ESP Ghostscript 8.15.4 (2007-03-14)
Copyright (C) 2004 artofcode LLC, Benicia, CA.  All rights reserved.

You may download this eps file from the following location:
http://www.physics.arizona.edu/~goisman/tests/f4.1_eddington.eps.tar.gz

Thanks for your help in advance.
Comment 2 Jindrich Novy 2007-05-10 08:52:21 EDT
I tried to display the image you put here and it works for me even with
-sDEVICE=x11 and other devices, I'm also using gs-8.15.4, on rawhide though.
Comment 3 Philip Goisman 2007-05-10 10:42:50 EDT
Great!  But does it work without options, i.e., gs f4.1_eddington.eps?  I
already said below it works with gs -sDEVICE=x11alpha f4.1_eddington.eps.  As I 
also said gs f4.1_eddington.eps works on fedora releases prior to fc6(Zod).
I'm really not interested in developmental releases, i.e., rawhide, as Zod
already presents challenges, e.g., mysql 5.0 where the file format changed
from ISAM to MyISAM.

The problem still exists on fc6 using gs-8.15.4.  That is namely
gs f4.1_eddington.eps doesn't work.  And, when gs is used by xdvi,
unless xdvi -nogssafer file.dvi is used, it doesn't works.  For now
our users are using the work around (xdvi -nogssafer file.dvi), but they're
worried since on previous fc releases and EL this workaround isn't necessary.

Hopefully, this can be fixed soon.  I've already got users wanting to migrate
to Adobe Illustrator.

Cheers,

Phil
Comment 4 Bug Zapper 2008-04-04 03:12:04 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:35:00 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.